<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.ListOfTemplatesContainment']}</h1>
        <s:div id="globalDiv">
            <h:form id="globalForm">
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.ListOfTemplatesContainmentDescribers']}</ui:define>
                    <rich:dataTable id="tcdTable"
                                    value="#{tcDescriberManager.tcDescribers}"
                                    var="tcd">
                        <g:column sortBy="#{'id'}"
                                  sortOrder="ascending">
                            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.ID']}</ui:define>
                            <h:outputText value="#{tcd.id}"/>
                        </g:column>
                        <g:column sortBy="#{'tcName'}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Name']}</ui:define>
                            <h:outputText value="#{tcd.tcName}"/>
                        </g:column>
                        <g:column sortBy="#{'updateDate'}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.UpdateDate']}</ui:define>
                            <h:outputText value="#{tcd.updateDate}"/>
                        </g:column>
                         <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.TC']}</ui:define>
							<h:commandLink title="#{messages['net.ihe.gazelle.DownloadTemplatesContainment']}"
								action="#{tcDescriberManager.downloadTC(tcd)}">
								<span class="gzl-icon-download" />
							</h:commandLink>
						</g:column>
						<g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.TCF']}</ui:define>
							<h:commandLink title="#{messages['net.ihe.gazelle.DownloadFlattenedTemplatesContainment']}"
								action="#{tcDescriberManager.downloadTCF(tcd)}">
								<span class="gzl-icon-download" />
							</h:commandLink>
						</g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Action']}</ui:define>
                            <h:panelGroup styleClass="gzl-never-wrap">
                                <h:outputLink
                                        title="#{messages['net.ihe.gazelle.View']}"
                                        value="#{request.contextPath}/admin/templatesContainment/view.seam">
                                    <f:param name="tcdId" value="#{tcd.id}"/>
                                    <span class="gzl-icon-search"/>
                                </h:outputLink>
                                <h:outputLink
                                        title="#{messages['net.ihe.gazelle.cdagen.Edit']}"
                                        value="#{request.contextPath}/admin/templatesContainment/edit.seam">
                                    <f:param name="tcdId" value="#{tcd.id}"/>
                                    <span class="gzl-icon-pencil"/>
                                </h:outputLink>
                                <a4j:commandLink event="click"
                                                 title="#{messages['net.ihe.gazelle.Delete']}"
                                                 oncomplete="jq162('#deleteTCDPopup').modal('show');"
                                                 render="deleteTCDForm,globalForm"
                                                 actionListener="#{tcDescriberManager.setSelectedTCDescriber(tcd)}">
                                    <span class="gzl-icon-trash-o"/>
                                </a4j:commandLink>
                            </h:panelGroup>
                        </g:column>
                        <f:facet name="footer">
                            <rich:dataScroller id="ds" render="tcdTable" maxPages="5"
                                               renderIfSinglePage="false"></rich:dataScroller>
                        </f:facet>
                    </rich:dataTable>
                    <ui:define name="panel_footer">
                        <h:outputLink value="#{request.contextPath}/admin/templatesContainment/new.seam"
                                      styleClass="gzl-btn-green">
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.CreateTemplatesContainmentDescriber']}"/>
                        </h:outputLink>
                    </ui:define>
                </ui:decorate>
            </h:form>
        </s:div>

        <h:form id="deleteTCDForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deleteTCDPopup"/>
                <ui:define name="popup_title">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.DeleteTemplatesContainmentDescriber']}"/>
                </ui:define>
                <h:outputText id="deleteTCDText"
                              value="#{messages['net.ihe.gazelle.DoYouWantToDeleteTheTCDNamed']} #{tcDescriberManager.selectedTCDescriber.tcName}?"/>

                <ui:define name="popup_footer">
                    <h:commandButton value="#{messages['net.ihe.gazelle.cdagen.Cancel']}"
                                     styleClass="gzl-btn"
                                     onclick="jq162('#deleteTCDPopup').modal('hide');"/>
                    <h:commandButton value="#{messages['users.Delete']}"
                                     action="#{tcDescriberManager.deleteSelectedTCDescriber()}"
                                     styleClass="gzl-btn-red" render="globalForm"
                                     onclick="jq162('#deleteTCDPopup').modal('hide');"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
